Ingests an operator-supplied OSCAL profile/catalog/SSP and registers the resolved control selection for a framework (one active selection per tenant+framework; re-registering replaces it).
POST
/v1/m/compliance/oscal/profiles
const url = 'https://example.com/v1/m/compliance/oscal/profiles';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '"example"'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/compliance/oscal/profiles \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '"example"'Ingests an operator-supplied OSCAL profile/catalog/SSP and registers the resolved control selection for a framework (one active selection per tenant+framework; re-registering replaces it).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
Example generated
exampleResponses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}